Package org.apache.sysds.runtime.instructions.spark.functions

# Class ExtractGroupNWeights

java.lang.Object
org.apache.sysds.runtime.instructions.spark.functions.ExtractGroupNWeights

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>>,MatrixIndexes,WeightedCell>`

public class ExtractGroupNWeights extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>>,MatrixIndexes,WeightedCell>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ExtractGroupNWeights()`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>>`
`call(scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>> arg)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtractGroupNWeights

public ExtractGroupNWeights()

## Method Details

### call

public Iterator<scala.Tuple2<MatrixIndexes,WeightedCell>> call(scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>> arg) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,scala.Tuple2<scala.Tuple2<MatrixBlock,MatrixBlock>,MatrixBlock>>,MatrixIndexes,WeightedCell>`
Throws:
  `Exception`